Bug 732902 - Wrong entry @LIBSSL_LDFLAGS@ in libupsclient.pc pkgconfig file
Summary: Wrong entry @LIBSSL_LDFLAGS@ in libupsclient.pc pkgconfig file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nut
Version: el6
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 05:47 UTC by David Gilbert
Modified: 2011-10-16 18:29 UTC (History)
1 user (show)

Fixed In Version: nut-2.4.3-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-16 18:29:09 UTC


Attachments (Terms of Use)

Description David Gilbert 2011-08-24 05:47:52 UTC
Description of problem:

Identical problem to bug # 691380.

Macro @LIBSSL_LDFLAGS@ in libupsclient.pc pkgconfig file is not converted to
real linker flags (for example, ' -lssl -lcrypto -ldl -lz '). So, build of
dependent packages (collectd) will fail.

Version-Release number of selected component (if applicable):
2.4.3-4

How reproducible:
Always

Steps to Reproduce:
1. look at /usr/lib/pkgconfig/libupsclient.pc -- see macros
2. try to build collectd - failed
  
Actual results:
see above

Expected results:
macro is expanded to real linker flags, builds ok.


Additional info:

Comment 1 Fedora Update System 2011-08-31 15:07:11 UTC
nut-2.4.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nut-2.4.3-5.el6

Comment 2 Fedora Update System 2011-08-31 22:58:49 UTC
Package nut-2.4.3-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nut-2.4.3-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nut-2.4.3-5.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-10-16 18:29:09 UTC
nut-2.4.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.